com.creamtec.ajaxswing.v4

## Class AbstractRenderingGraphics

- java.lang.Object
- - java.awt.Graphics
  - - java.awt.Graphics2D
    - - com.creamtec.ajaxswing.v4.HtmlGraphics
      - - com.creamtec.ajaxswing.v4.AbstractRenderingGraphics

- Direct Known Subclasses:
    RenderingGraphics

      public abstract class AbstractRenderingGraphics
      extends HtmlGraphics

  Responsible for logic behind `Graphics2D` implementation for AjaxSwing, eg how to deal with clip and transform, how to rewrite colors and return objects like stroke or shapes

- - ### Field Summary

    - ### Fields inherited from class com.creamtec.ajaxswing.v4.HtmlGraphics

      `defaultFont`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractRenderingGraphics(HTMLPage page)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRenderingHints(java.util.Map<?,?> hints)`
    `void` | `clearRect(int x, int y, int width, int height)`
    `void` | `clip(java.awt.Shape s)`
    `void` | `clipRect(int x, int y, int width, int height)`
    `void` | `copyArea(int x, int y, int width, int height, int dx, int dy)`
    `void` | `dispose()`
    `java.awt.Color` | `getBackground()`
    `java.awt.Shape` | `getClip()`
    `java.awt.Rectangle` | `getClipBounds()`
    `java.awt.Color` | `getColor()`
    `java.awt.Composite` | `getComposite()`
    `java.awt.GraphicsConfiguration` | `getDeviceConfiguration()`
    `java.awt.Font` | `getFont()`
    `java.awt.font.FontRenderContext` | `getFontRenderContext()`
    `java.awt.Paint` | `getPaint()`
    `java.lang.Object` | `getRenderingHint(java.awt.RenderingHints.Key hintKey)`
    `java.awt.RenderingHints` | `getRenderingHints()`
    `java.awt.Stroke` | `getStroke()`
    `java.awt.geom.AffineTransform` | `getTransform()`
    `java.awt.Point` | `getTranslate()`
    `boolean` | `hit(java.awt.Rectangle rect, java.awt.Shape s, boolean onStroke)`
    `void` | `rotate(double theta)`
    `void` | `rotate(double theta, double x, double y)`
    `void` | `scale(double sx, double sy)`
    `void` | `setBackground(java.awt.Color color)`
    `void` | `setClip(int x, int y, int width, int height)`
    `void` | `setClip(java.awt.Shape clip)`
    `void` | `setColor(java.awt.Color c)`
    `void` | `setComposite(java.awt.Composite comp)`
    `void` | `setFont(java.awt.Font font)`
    `void` | `setPaint(java.awt.Paint paint)`
    `void` | `setPaintMode()`
    `void` | `setRenderingHint(java.awt.RenderingHints.Key hintKey, java.lang.Object hintValue)`
    `void` | `setRenderingHints(java.util.Map<?,?> hints)`
    `void` | `setStroke(java.awt.Stroke s)`
    `void` | `setTransform(java.awt.geom.AffineTransform Tx)`
    `void` | `setXORMode(java.awt.Color c1)`
    `void` | `shear(double shx, double shy)`
    `void` | `transform(java.awt.geom.AffineTransform Tx)`
    `void` | `translate(double tx, double ty)`
    `void` | `translate(int x, int y)`
    `void` | `translateNoClip(int x, int y)`

    - ### Methods inherited from class com.creamtec.ajaxswing.v4.HtmlGraphics

      `append, append, append, appendFontStyle, appendHexColor, appendHexValue, appendText, create, getFontMetrics, getImagePart, getImageUrl, getImageUrl, getPage`

    - ### Methods inherited from class java.awt.Graphics2D

      `draw, draw3DRect, drawGlyphVector, drawImage, drawImage, drawRenderableImage, drawRenderedImage, drawString, drawString, drawString, drawString, fill, fill3DRect`

    - ### Methods inherited from class java.awt.Graphics

      `create, drawArc, drawBytes, drawChars, drawImage, drawImage, drawImage, drawImage, drawImage, drawImage, drawLine, drawOval, drawPolygon, drawPolygon, drawPolyline, drawRect, drawRoundRect, fillArc, fillOval, fillPolygon, fillPolygon, fillRect, fillRoundRect, finalize, getClipBounds, getClipRect, getFontMetrics, hitClip, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractRenderingGraphics

          public AbstractRenderingGraphics(HTMLPage page)

  - ### Method Detail

    - #### addRenderingHints

          public void addRenderingHints(java.util.Map<?,?> hints)

      Specified by:
        `addRenderingHints` in class `java.awt.Graphics2D`

    - #### clearRect

          public void clearRect(int x,
                       int y,
                       int width,
                       int height)

      Specified by:
        `clearRect` in class `java.awt.Graphics`

    - #### clip

          public void clip(java.awt.Shape s)

      Specified by:
        `clip` in class `java.awt.Graphics2D`

    - #### clipRect

          public void clipRect(int x,
                      int y,
                      int width,
                      int height)

      Specified by:
        `clipRect` in class `java.awt.Graphics`

    - #### copyArea

          public void copyArea(int x,
                      int y,
                      int width,
                      int height,
                      int dx,
                      int dy)

      Specified by:
        `copyArea` in class `java.awt.Graphics`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in class `java.awt.Graphics`

    - #### getBackground

          public java.awt.Color getBackground()

      Specified by:
        `getBackground` in class `java.awt.Graphics2D`

    - #### getClip

          public java.awt.Shape getClip()

      Specified by:
        `getClip` in class `java.awt.Graphics`

    - #### getClipBounds

          public java.awt.Rectangle getClipBounds()

      Specified by:
        `getClipBounds` in class `java.awt.Graphics`

    - #### getColor

          public java.awt.Color getColor()

      Specified by:
        `getColor` in class `java.awt.Graphics`

    - #### getComposite

          public java.awt.Composite getComposite()

      Specified by:
        `getComposite` in class `java.awt.Graphics2D`

    - #### getDeviceConfiguration

          public java.awt.GraphicsConfiguration getDeviceConfiguration()

      Specified by:
        `getDeviceConfiguration` in class `java.awt.Graphics2D`

    - #### getFont

          public java.awt.Font getFont()

      Specified by:
        `getFont` in class `java.awt.Graphics`

    - #### getFontRenderContext

          public java.awt.font.FontRenderContext getFontRenderContext()

      Specified by:
        `getFontRenderContext` in class `java.awt.Graphics2D`

    - #### getPaint

          public java.awt.Paint getPaint()

      Specified by:
        `getPaint` in class `java.awt.Graphics2D`

    - #### getRenderingHint

          public java.lang.Object getRenderingHint(java.awt.RenderingHints.Key hintKey)

      Specified by:
        `getRenderingHint` in class `java.awt.Graphics2D`

    - #### getRenderingHints

          public java.awt.RenderingHints getRenderingHints()

      Specified by:
        `getRenderingHints` in class `java.awt.Graphics2D`

    - #### getStroke

          public java.awt.Stroke getStroke()

      Specified by:
        `getStroke` in class `java.awt.Graphics2D`

    - #### getTransform

          public java.awt.geom.AffineTransform getTransform()

      Specified by:
        `getTransform` in class `java.awt.Graphics2D`

    - #### getTranslate

          public java.awt.Point getTranslate()

    - #### hit

          public boolean hit(java.awt.Rectangle rect,
                    java.awt.Shape s,
                    boolean onStroke)

      Specified by:
        `hit` in class `java.awt.Graphics2D`

    - #### rotate

          public void rotate(double theta)

      Specified by:
        `rotate` in class `java.awt.Graphics2D`

    - #### rotate

          public void rotate(double theta,
                    double x,
                    double y)

      Specified by:
        `rotate` in class `java.awt.Graphics2D`

    - #### scale

          public void scale(double sx,
                   double sy)

      Specified by:
        `scale` in class `java.awt.Graphics2D`

    - #### setBackground

          public void setBackground(java.awt.Color color)

      Specified by:
        `setBackground` in class `java.awt.Graphics2D`

    - #### setClip

          public void setClip(int x,
                     int y,
                     int width,
                     int height)

      Specified by:
        `setClip` in class `java.awt.Graphics`

    - #### setClip

          public void setClip(java.awt.Shape clip)

      Specified by:
        `setClip` in class `java.awt.Graphics`

    - #### setColor

          public void setColor(java.awt.Color c)

      Specified by:
        `setColor` in class `java.awt.Graphics`

    - #### setComposite

          public void setComposite(java.awt.Composite comp)

      Specified by:
        `setComposite` in class `java.awt.Graphics2D`

    - #### setFont

          public void setFont(java.awt.Font font)

      Specified by:
        `setFont` in class `java.awt.Graphics`

    - #### setPaint

          public void setPaint(java.awt.Paint paint)

      Specified by:
        `setPaint` in class `java.awt.Graphics2D`

    - #### setPaintMode

          public void setPaintMode()

      Specified by:
        `setPaintMode` in class `java.awt.Graphics`

    - #### setRenderingHint

          public void setRenderingHint(java.awt.RenderingHints.Key hintKey,
                              java.lang.Object hintValue)

      Specified by:
        `setRenderingHint` in class `java.awt.Graphics2D`

    - #### setRenderingHints

          public void setRenderingHints(java.util.Map<?,?> hints)

      Specified by:
        `setRenderingHints` in class `java.awt.Graphics2D`

    - #### setStroke

          public void setStroke(java.awt.Stroke s)

      Specified by:
        `setStroke` in class `java.awt.Graphics2D`

    - #### setTransform

          public void setTransform(java.awt.geom.AffineTransform Tx)

      Specified by:
        `setTransform` in class `java.awt.Graphics2D`

    - #### setXORMode

          public void setXORMode(java.awt.Color c1)

      Specified by:
        `setXORMode` in class `java.awt.Graphics`

    - #### shear

          public void shear(double shx,
                   double shy)

      Specified by:
        `shear` in class `java.awt.Graphics2D`

    - #### transform

          public void transform(java.awt.geom.AffineTransform Tx)

      Specified by:
        `transform` in class `java.awt.Graphics2D`

    - #### translate

          public void translate(double tx,
                       double ty)

      Specified by:
        `translate` in class `java.awt.Graphics2D`

    - #### translate

          public void translate(int x,
                       int y)

      Specified by:
        `translate` in class `java.awt.Graphics2D`

    - #### translateNoClip

          public void translateNoClip(int x,
                             int y)

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.